Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Fix Plone 4 support with plone.app.multilingual 2.x #37

Merged
merged 1 commit into from May 23, 2019

Conversation

Projects
None yet
2 participants
@elioschmutz
Copy link
Contributor

commented May 23, 2019

The PR #36 introduced an error with Plone 4 and plone.app.multilingual 2.x due the following commit: 1257505

According to the plone.app.multilingual doucumentation, the V2.x should be used for plone4 with dexterity and real shared content.

The broken commit assumes, that using Plone 4 will require V1.x with plone.app.multilingual.

This PR fixes broken imports and functions if using it with plone.app.multilingual V2.x.

@elioschmutz elioschmutz self-assigned this May 23, 2019

@elioschmutz elioschmutz requested a review from jone May 23, 2019

@jone

jone approved these changes May 23, 2019

Copy link
Member

left a comment

👍 lgtm


try:
dist = get_distribution('plone.app.multilingual')
IS_PLONE_APP_MULTILINGUAL_2 = dist.version >= '2'

This comment has been minimized.

Copy link
@jone

jone May 23, 2019

Member

Should version 3.x result in IS_PLONE_APP_MULTILINGUAL_2 == True ?

This comment has been minimized.

Copy link
@elioschmutz

elioschmutz May 23, 2019

Author Contributor

👍 updated, I now check for plone5 and is_plone_app_multilingual_2

@elioschmutz elioschmutz force-pushed the es-fix-plone-4 branch from 97703f1 to 9feb81b May 23, 2019

@elioschmutz elioschmutz merged commit 0e16462 into master May 23, 2019

3 checks passed

CI Governor: test-plone-4.3.x-pml-1.cfg Task #402153 succeeded
Details
CI Governor: test-plone-4.3.x.cfg Task #402154 succeeded
Details
CI Governor: test-plone-5.1.x.cfg Task #402155 succeeded
Details
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.